uuid: 0d77b9ef-7ce0-44c2-8753-f346219c91a6
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_field
class: Drupal\migrate_drupal\Plugin\migrate\FieldMigration
field_plugin_method: alterFieldMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Field configuration'
source:
  plugin: d7_field
  constants:
    status: true
    langcode: und
process:
  entity_type:
    -
      plugin: get
      source: entity_type
  status:
    -
      plugin: get
      source: constants/status
  langcode:
    -
      plugin: get
      source: constants/langcode
  field_name:
    -
      plugin: get
      source: field_name
  type:
    -
      plugin: process_field
      source: type
      method: getFieldType
      map:
        d7_text:
          d7_text: d7_text
        entityreference:
          entityreference: entityreference
        file:
          file: file
        image:
          image: image
        link_field:
          link_field: link_field
        taxonomy_term_reference:
          taxonomy_term_reference: taxonomy_term_reference
        datetime:
          datetime: datetime
        list:
          list: list
        number_default:
          number_default: number_default
        email:
          email: email
  cardinality:
    -
      plugin: get
      source: cardinality
  settings:
    -
      plugin: d7_field_settings
destination:
  plugin: 'entity:field_storage_config'
migration_dependencies:
  required: {  }
  optional: {  }
